
QGIS Application - Bug report #4869

error when dropping a shape into a PG connection

2012-01-24 06:00 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14697

Description

The attached shape has a CRS that is seen by QGIS as custom (it is in truth the old epsg 3763).

When I drop the layer in a PG connection without specifying the "source srid" and "target srid" (that in these cases DB manager shows as

"0") I get this

Creation of data source "public"."topo_c" failed: 

ERROR:  AddGeometryColumns() - invalid SRID

CONTEXT:  SQL statement "SELECT AddGeometryColumn('', $1 , $2 , $3 , $4 , $5 , $6 )" 

PL/pgSQL function "addgeometrycolumn" line 4 at SQL statement

History

#1 - 2012-01-26 05:05 PM - Giuseppe Sucameli

The layer srid is not recognized by QGis so it is set to 0. 

PostGIS < 2.0 uses -1 as undefined and probably it doesn't understand 0.

Possible solutions: 

- add a warning asking to the user to set the correct srid (pros: asking is ever good, cons: too much dialog opened)

- set it to -1 (pros: it works for PostGIS < 2.0 but also for PostGIS >= 2.0 because -1 is kept for compatibility, cons: the user is not alerted).

#2 - 2012-01-27 06:23 AM - Giovanni Manghi

- Priority changed from Normal to Low

Giuseppe Sucameli wrote:

The layer srid is not recognized by QGis so it is set to 0. 

PostGIS < 2.0 uses -1 as undefined and probably it doesn't understand 0.

Possible solutions: 

- add a warning asking to the user to set the correct srid (pros: asking is ever good, cons: too much dialog opened)

- set it to -1 (pros: it works for PostGIS < 2.0 but also for PostGIS >= 2.0 because -1 is kept for compatibility, cons: the user is not alerted).

As user I would prefer both, but if I have to choose I would say the second one.

2025-04-27 1/2



#3 - 2012-03-12 09:52 AM - Paolo Cavallini

- Priority changed from Low to High

#4 - 2013-01-18 01:34 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Project changed from 27 to QGIS Application

#5 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#6 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#7 - 2013-06-02 07:14 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

Files

topo_c_shp.zip 13.5 KB 2012-01-24 Giovanni Manghi
